Bug 189816 - Review Request: videodog - Command-line video4linux frame-grabber
Review Request: videodog - Command-line video4linux frame-grabber
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-04-24 16:41 EDT by Jima
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-25 20:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jima 2006-04-24 16:41:48 EDT
Spec URL: http://beer.tclug.org/fedora-extras/videodog/videodog.spec
SRPM URL: http://beer.tclug.org/fedora-extras/videodog/videodog-0.31-1.src.rpm
VideoDog is a command line tool to grab frames from a Video4linux-compliant device. It can export a file in raw, PNM, or JPG formats. It can also do loop capture using multiple buffers, or just be used to set/retrieve device data or scripts.
Comment 1 Andreas Thienemann 2006-04-24 22:13:52 EDT

MUST: The package must be named according to the Package Naming Guidelines.
MUST: The spec file name must match the base package %{name}, in the format
MUST: The package must be licensed with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
MUST: The spec file must be written in American English.
MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task.
MUST: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
MUST: The spec file for the package MUST be legible. If the reviewer is unable
to read the spec file, it will be impossible to perform a review. Fedora is not
the place for entries into the Obfuscated Code Contest ([WWW]
MUST: A package must not contain any duplicate files in the %files listing.
MUST: Permissions on files must be set properly. Executables should be set with
executable permissions, for example. Every %files section must include a
%defattr(...) line.
MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec.
MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
MUST: The package must contain code, or permissable content. This is described
in detail in the code vs. content section of Packaging Guidelines.
MUST: If a package includes something as %doc, it must not affect the runtime of
the application. To summarize: If it is in %doc, the program must run properly
if it is not present.
MUST: The License field in the package spec file must match the actual license.
SHOULD: The reviewer should test that the package builds in mock.
SHOULD: The reviewer should test that the package functions as described. A
package should not segfault instead of running, for example.
MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.
MUST: rpmlint must be run on every package. The output should be posted in the
MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional. Apply common sense.


MUST: The package must meet the Packaging Guidelines.


Please do not use the freshmeat.net urls.
URL: should be
while Source0: should be

Otherwise the package looks fine, change this, and you can consider the package
Comment 2 Jima 2006-04-24 22:54:12 EDT
Thanks for the review.  The URLs have been changed in 0.31-2; I'll probably
import the package into CVS tomorrow.  I knew something was fishy about those
freshmeat.net URLs...
Comment 3 Jima 2006-04-25 20:19:58 EDT
Built cleanly on devel, FC5, FC4, and FC3.


Note You need to log in before you can comment on or make changes to this bug.